PulseAudio 16.1

Data Fields
pa_sink_input_info Struct Reference

Stores information about sink inputs. More...

`#include <introspect.h>`

## Data Fields
uint32_t | index
| Index of the sink input. More...
const char * | name
| Name of the sink input. More...
uint32_t | owner_module
| Index of the module this sink input belongs to, or PA_INVALID_INDEX when it does not belong to any module. More...
uint32_t | client
| Index of the client this sink input belongs to, or PA_INVALID_INDEX when it does not belong to any client. More...
uint32_t | sink
| Index of the connected sink. More...
pa_sample_spec | sample_spec
| The sample specification of the sink input. More...
pa_channel_map | channel_map
| Channel map. More...
pa_cvolume | volume
| The volume of this sink input. More...
pa_usec_t | buffer_usec
| Latency due to buffering in sink input, see pa_timing_info for details. More...
pa_usec_t | sink_usec
| Latency of the sink device, see pa_timing_info for details. More...
const char * | resample_method
| The resampling method used by this sink input. More...
const char * | driver
| Driver name. More...
int | mute
| Stream muted. More...
pa_proplist * | proplist
| Property list. More...
int | corked
| Stream corked. More...
int | has_volume
| Stream has volume. More...
int | volume_writable
| The volume can be set. More...
pa_format_info * | format
| Stream format information. More...

## Detailed Description

Stores information about sink inputs.

Please note that this structure can be extended as part of evolutionary API updates at any time in any new release.

## Field Documentation

## ◆ buffer_usec

pa_usec_t pa_sink_input_info::buffer_usec

Latency due to buffering in sink input, see pa_timing_info for details.

## ◆ channel_map

pa_channel_map pa_sink_input_info::channel_map

Channel map.

## ◆ client

uint32_t pa_sink_input_info::client

Index of the client this sink input belongs to, or PA_INVALID_INDEX when it does not belong to any client.

## ◆ corked

int pa_sink_input_info::corked

Stream corked.

Since
  1.0

## ◆ driver

const char* pa_sink_input_info::driver

Driver name.

## ◆ format

pa_format_info* pa_sink_input_info::format

Stream format information.

Since
  1.0

## ◆ has_volume

int pa_sink_input_info::has_volume

Stream has volume.

If not set, then the meaning of this struct's volume member is unspecified.

Since
  1.0

## ◆ index

uint32_t pa_sink_input_info::index

Index of the sink input.

## ◆ mute

int pa_sink_input_info::mute

Stream muted.

Since
  0.9.7

## ◆ name

const char* pa_sink_input_info::name

Name of the sink input.

## ◆ owner_module

uint32_t pa_sink_input_info::owner_module

Index of the module this sink input belongs to, or PA_INVALID_INDEX when it does not belong to any module.

## ◆ proplist

pa_proplist* pa_sink_input_info::proplist

Property list.

Since
  0.9.11

## ◆ resample_method

const char* pa_sink_input_info::resample_method

The resampling method used by this sink input.

## ◆ sample_spec

pa_sample_spec pa_sink_input_info::sample_spec

The sample specification of the sink input.

## ◆ sink

uint32_t pa_sink_input_info::sink

Index of the connected sink.

## ◆ sink_usec

pa_usec_t pa_sink_input_info::sink_usec

Latency of the sink device, see pa_timing_info for details.

## ◆ volume

pa_cvolume pa_sink_input_info::volume

The volume of this sink input.

## ◆ volume_writable

int pa_sink_input_info::volume_writable

The volume can be set.

If not set, the volume can still change even though clients can't control the volume.

Since
  1.0

The documentation for this struct was generated from the following file:

- introspect.h